Subject: Long ramblings about project design

From: Bill Broadley <[email-masked]>
Date: Fri, 25 Jun 1993 04:47:56 -0500 (EDT)

Just more random thoughts on the project from my hardware naive view:

The goal of the project seems to be to have fun building/designing a
new motherboard that is fast, clean, low parts count, with a nice cpu on it.

Kinda of a poor man's workstation that doesn't benefit microsoft or intel.

Since most of us can't spend $700 or so on a whim we would consider it
quite an investment. (I'd sell my maxed out 386-40+387 for one)

The minimal cost solution would a cpu+ram on a ISA slow, but this seems of 
little utility and would be quite ISA limited.  I'd guess the cost would 
be around $150-$200 above the cost of the cpu?

Despite ISA's bad reputation it handles up to 4-5 MB a second which, despite 
the advertising, is enough for most users bus needs with the possible exception
of high resolution video.  Not many people need more then 4 MB/sec for disk 
bandwidth etc.

So if you add video support on board you have greatly reduced your
load for the ISA bus at the cost of 1 MB vram + support chips ($60-$75)?

I believe that VESA support is almost free (simple bus) is this true?
Are non-surface mounted chips available?  A fairly high end VESA local
bus S3 805 can be had for less then $200 (+ cost of supporting vesa).
I see VESA as the only possibility for future expansion, because EISA
is to expensive ??  Vesa nicely  maxes out at 40 Mhz to ;-)

I'd say if we can get half the performance for less then half the price
and forget VESA bus, otherwise it's an option (somebody posted a do it 
all chip that supported vesa, haven't heard of availability yet).

Apparently the TI34020 is a fairly powerful chip (used in xterminals from 
tektronics, and high end (> $1k) video cards.  I know of no free drivers and 
I suspect that they would be quite involved to write them (I believe I've seen 
entire X11 servers running on them, which would be WAY cool.)  I am suprised 
they are cheap and would volunter to attempt an X11 driver for that chip.  
But writing a X11 server for a TMS34020 is beyond me, as oppsed to a driver 
which I think I could get to work.  Am I thinking of the correct chip here?

As an interesting side note Tektronics gave up on there xterminals with
68030's at 20 Mhz and TI 34020 chips at 40 Mhz because they were to slow
they switched to mips 3000's.  Wonder if tektronics would release there
tiga drivers ;-)

Apparently a SCSI buss is pretty cheap (Did I hear $5.00?) I'd suggest
SCSI-II 5 MB/sec as a minimum (scsi-II is supposed to be "defined" then
scsi-I so hopefully less compatibility problems).  No need for more
speed really (most drives can handle max 1.0-1.5 MB/sec real world).
It's a BIG win if it's as cheap as I thought I heard.

By this time it's probably better to go with a motherboard as opposed to
a ISA card, we have already gotten rid of the 2 biggest bus users.  

How many people who want a mips have ethernet?  I don't. Why not 
standardize on say a WD8013? It has a 32 k cache or so and ethernet is a 
MAX 10 megabit, or 1.25 MB which the ISA should handle fine (especially since 
we have fast int cpu).  Remeber disk, and video are already on a different bus.
(Either VESA or native) Is it cheaper to do it on board? 

If you don't put ethernet on ISA why bother with ISA? You really want a sound 
blaster (remeber ya got to write the drivers) almost any magic ISA video card 
will be slower then VESA/NATIVE cards.  Serial is easy, parallel isn't that 
used (by me anyways 8-) ), and floppies can run on SCSI (granted not cheaply).

I know it hurts to have a board without slots, but the ISA is limiting enough 
so anything new and hot won't be happy in a ISA slot anyways. thats why we 
are not producing a ISA card right?

So My perfect machine would be 3081 (I want fp as you probably heard ;-) )
either on board frame buffer (side note: dec has a good paper on smart frame 
buffers), or VESA slot, SCSI-II, and either ISA, or ethernet. 

Oh yeah why so many sim slots?  I have hit the limit at 8 slots
(with 8 MB) and then upgraded to 16 MB in 4 slots.  I can see 16 slots
but why more? 16 MB is around $400 anyone planning to spend more then
$1600/64 MB for a mips machine running a linux derivative without a second
level cache?

Anyone have any idea how much money/board design is saved by the "integration"
of the 3051/3052 and 3081?  I.e. how much hard would it be to put in a chip 
that lacks such integration?  I.e. say I call motorolla tomorrow any they say 
we will ship some prerelease derated 40 Mhz (from 50 Mhz) powerpc chips for $200
a piece.  What would the cost of using a standard nonintegrated chip over a 
integrated/embedded chip?  I believe the price of the powerpc is expected
to be $320 or so for 50 Mhz (to fast but would probably work at 40), and
$400 at 66 Mhz.

Hmm another bossibiliy is a cheap non fpu processor that has bus snooping,
I think the 486 sx fits the description.  This probably isn't feaible 
and besides it's a INTEL chip (yuck)

I post if detailed summary of the powerpc if anyone wants.  Okay enough
rambling from the sleep deprived....

-- 
Bill					1st>	[email-masked]
[email-masked] <2nd 	3rd> 	             [email-masked]
Linux is great.         Bike to live, live to bike.                      PGP-ok

---

From: Drew Eckhardt <[email-masked]>
Date: Fri, 25 Jun 1993 04:32:37 -0600

Might not be possible - there isn't a lot of realestate available on an 
ISA board.

    Despite ISA's bad reputation it handles up to 4-5 MB a second which, despit
   e 
    the advertising, is enough for most users bus needs with the possible excep
   tion
    of high resolution video.  

Possible isn't quite strong enough.

Another poster suggested that  TI32010 can be had for $20, add
cost of the RAMDAC + either DRAM (about $20/meg) or VRAM (two-three times 
DRAM price).

Nasty timing problems acompany any high speed bus, and since we aren't 
Pee-Cee compatable VESA might not be that easy.
    
    Apparently the TI34020 is a fairly powerful chip (used in xterminals from 
    tektronics, and high end (> $1k) video cards.  I know of no free drivers an
   d 
    I suspect that they would be quite involved to write them (I believe I've s
   een 
    entire X11 servers running on them, which would be WAY cool.)  I am suprise
   d 
    they are cheap and would volunter to attempt an X11 driver for that chip.  

You can allways use just a minimal amount of intelligence, ie treating
it as a dumb frame buffer if possible, or just doing bitblts with it until 
you get arround to doing a "propper" driver..
    
    Apparently a SCSI buss is pretty cheap (Did I hear $5.00?) 

That's where your SCSI chips start at.  

    I'd suggest SCSI-II 5 MB/sec as a minimum

With the exception of arbitration, it's entirely a software 
issue (and most SCSI-I systems implement arbitration).$

 (scsi-II is supposed to be "defined" then
    scsi-I so hopefully less compatibility problems).  No need for more
    speed really (most drives can handle max 1.0-1.5 MB/sec real world).

Most new drives are some what faster than this - if we assume 64 
sectors/track (not atypical), and a rotational speed of 3600RPM - 
that's 1920K/sec.  Better drives will spin at 5400 RPM, which
would be 2880K/sec.  

However, there's nothing stopping you from having multiple 
nexuses established to multiple devices at the same time,
in which case every device needs to be able to burst at 
a speed greater than the combined total of their sustained
transfer rates.  Add in command overhead when data isn't 
being transfered and it adds up quickly..
    
    How many people who want a mips have ethernet?  I don't. Why not 
    standardize on say a WD8013? It has a 32 k cache or so and ethernet is a 
    MAX 10 megabit, or 1.25 MB which the ISA should handle fine (especially sin
   ce 
    we have fast int cpu).  

   Remeber disk, and video are already on a different 
   bus.
    (Either VESA or native) Is it cheaper to do it on board? 

Yes, since this is a non-profit project, and your-not-top-of-the-line
ether, video, etc chips are cheap, your address decoding is on the same 
PAL as something else on the motherboard, and the price of your glue is 
negligible.

I'll call the national semi distributor again and get the pricing on
the 8390 (this is what the 8013 uses, unlike the proposed ~450K/sec 
AMD lance, it is allegedly a 1M/sec chip, and it is available in a 
PLCC package), and 8391 (transciever) (thinnet).

    I know it hurts to have a board without slots, but the ISA is limiting enou
   gh 
    so anything new and hot won't be happy in a ISA slot anyways. 

I'm begining to wonder about the need for the ISA bus - 

Pros : we can put nifty things like ROM burners in the ISA slots, and
	parallel printer/floppy controllers.

Cons :  the ISA slots take up lots of realestate (not just 
	for the connector - we could have clearance problems with 
	heat sinked chipps and SIMMs)

	Interfacing the ISA bus to the MIPs could be complicated,
	since the existing bus interface chips are designed to 
	mate up with x86 CPUs, etc.

How hard would it be to put a floppy controller and parallel port on
the mainboard compared to putting in a full ISA bus?

Memory interleaving.  You use more, smaller chips so that you can 
interleave memory accesses to them, cutting wait states by a factor 
of two for two-way for sequential accesses on a cache miss, four 
by four-way.  In order two take advantage of interleaving,
you need to fill two or four banks at a time.  

Hmm - I know our chipset supports 2-way interleave, does it support 
way?  And what about page mode?  
    
    Anyone have any idea how much money/board design is saved by the "integrati
   on"
    of the 3051/3052 and 3081?  I.e. how much hard would it be to put in a chip
    
    that lacks such integration?  I.e. say I call motorolla tomorrow any they s
   ay 
    we will ship some prerelease derated 40 Mhz (from 50 Mhz) powerpc chips for
    $200
    a piece.  What would the cost of using a standard nonintegrated chip over a

Wow! a volunteer to do the GNU ports of GCC and GDB to the PowerPC =8^)

We'd also need support chips (availability and cost?), and would have to
work arround hardware bugs in the chip (ie, early 386's that didn't 
run in protected mode, the 68040 with broken transcendental functions,
etc).

Since we have the tools, the SPARC might be worth looking at.

The solution we're looking at right now would be competitive with a 
486DX2-66 in terms of both price (I can get a 486DX2-66/64K secondary 
cache VESA local bus mainboard for $610 (Of course, this doesn't include 
video (say $150), SCSI (say $200), ethernet ($80), 16550's, etc)) and 
performance (integer performance is very comparable, floating point 
is as much as 5X as much).  

I really like it, especially now that I've quit DOS!
    
--------

---

From: [email-masked] (Neil Russell)
Date: Fri, 25 Jun 93 11:39:44 PDT

> From [email-masked] Fri Jun 25 03:33:16 1993
> Received: from goss.pyramid.com
> 	by sword.eng.pyramid.com (5.61/Pyramid_Internal_Configuration)
> 	id AA22506; Fri, 25 Jun 93 03:33:02 -0700
> Received: from caesar.cs.colorado.edu 
> 	by gossip.pyramid.com (5.61/OSx5.1a Pyramid-Internet-Gateway)
> 	id AA06019; Fri, 25 Jun 93 03:32:51 -0700
> Received: from localhost by caesar.cs.Colorado.EDU with SMTP id AA13175
>   (5.65c/IDA-1.4.4 for <[email-masked]>); Fri, 25 Jun 1993 04:32:38 -0600
> Message-Id: <[email-masked]>
> To: [email-masked], Bill Broadley <[email-masked]>
> Subject: Re: Long ramblings about project design 
> In-Reply-To: Your message of "Fri, 25 Jun 1993 04:47:56 CDT."
>              <[email-masked]> 
> Date: Fri, 25 Jun 1993 04:32:37 -0600
> From: Drew Eckhardt <[email-masked]>
> 
> 

Actually, I had already designed this for the most part.  There was rom
for about 16 SIMM sockets, CPU and support logic, with soom to spare.

> cost of the RAMDAC + either DRAM (about $20/meg) or VRAM (two-three times 

That's TI 34010.  If that's the way we went for video, you must use
VRAM and require a RAMDAC of some sort.  Some very rough guesses would
give $25 for the 34010, 20 for the RAMDAC and $80 for the VRAM.  This
is a little more expensive than what I wanted but still well below
the cost of a similar plug in card.

> Pee-Cee compatable VESA might not be that easy.

At the moment I can't see much justification for such a bus;  doing the videooo
ourselves seems like a much easier and surer path.

>     tektronics, and high end (> $1k) video cards.  I know of no free drivers an

Just for the record, the TI34020 is much more expensive than the TI34010.
Both are software compaible (fr the most part).  The TI34020 is also
much harder too interface with than the TI34010.  The only thing the new
chip ooffers is extra speed.

> you get arround to doing a "propper" driver..

Yup; Also, no one says that you have to use TIGA.  There are C compilers
that can you can get t handle this chip.  BTW, there have been attempts
t port GCC too the TI340?0 without much success; the TI340?0 are bit-
adressable machines; GCC makes tooo many assumptions that its compiling
for a byte addressable machine.

>     MAX 10 megabit, or 1.25 MB which the ISA should handle fine (especially sin

I'm almst sure that ethernet will cost us about half of an ISA card.
I certainly do want ethernet, and figure that more than half of us
do also.  When we have some more concrete figures we can make better
judgements.

> I'm begining to wonder about the need for the ISA bus - 

If we don't have an extension bus of some sort then haven't we
painted ourselves into a corner?  What about the guy who needs just
that extra serial port, or has a printer that can handle 10 times
the speed using parallel (me), other small buletin board service
that needs those 16 modem contrlled, dumb serial ports?

> 	heat sinked chipps and SIMMs)

There are few useful ISA cards that require the full length of the box.
The boards I mentioned above are all short boards.  In any case
I think we could deal with that problem, maybe by increasing the size
of the board too get that suff away from there.  How many people
think that a mini-case is a requirement?

> the mainboard compared to putting in a full ISA bus?

Probably not hard, but there is no cost justification, when there is
an ISA bus.

> way?  And what about page mode?  

It nly does 2-way interleaving.  Yes it does page mode.  But the main
reason for the extra SIMM sockets is expansability.  Remember that
MIPS binaries are *large*.  Als, since this is a fast machine with reasonably
good I/O, there is a good chance that it could get used for a many
user machine.  If those users run X, then 128M becomes small.

> run in protected mode, the 68040 with broken transcendental functions,

He has a point.  At least the chips we are currently planning to use
have had good field testing.

> Since we have the tools, the SPARC might be worth looking at.

I figured that the MIPS was just that little bit cleaner than the SPARC.
It may be worth looking that though; they seem to be going for similar
markets.  On the other hand I'd prefer to deal with IDT than Sun.

> is as much as 5X as much).  

If everyone just want's anther x86 motherboard, I'll give up right now.
Apart from the purely asthetic arguments, there are cooompanies that
can do x86's at *much* better prices than we could ever hope to match.

-- 
Neil Russell		(The wizard from OZ)
Pyramid Technology			Email:  [email-masked]
3860 N. First Street			Voice:  (408) 428-7302
San Jose, CA 95134-1702			  FAX:  (408) 428-8845